%define game_name flight-of-the-amazon-queen
%define name scummvm-%game_name
%define version 0
%define distsuffix plf
%define release %mkrel 4
%define scummvmdir %{_datadir}/scummvm/

Summary: A adventure game using scummvm
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/scummvm/FOTAQ_Talkie.tar.bz2
License: Free to redistribute
Url:     http://scummvm.org
Group:      Games/Adventure
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
Requires: scummvm
BuildArch: noarch

%description

Flight of the Amazon Queen is a 2D point-and-click adventure game set
in the 1940s, originally published for DOS and the Amiga.  You assume
the role of Joe King, a pilot for hire who is given the job of
flyingFaye Russell (a famous movie star) into the Amazon jungle for a
photo shoot. Of course, things never go according to plans. After an
unfortunate turn of events they find themselves stranded in the heart
of the Amazon jungle, where Joe will embark on a quest to rescue a
kidnapped princess and in the process, discover the true sinister
intentions of a suspiciously located Lederhosen company. In a rich 2D
environment, Joe will cross paths with a variety of unlikely jungle
inhabitants including, but not limited to, a tribe of Amazon women and
6-foot- tall pygmies.

This game was released by Krome Studios to help the scummvm
project. However, this is not a free game ( free as freespeech ), even
if source code can be seen. 

This package is in PLF for its non-free license.

%prep
%setup -q -n FOTAQ_Talkie/
%build

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{scummvmdir}/%game_name
cp queen* $RPM_BUILD_ROOT/%{scummvmdir}/%game_name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Flight Of The Amazon Queen
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%game_name  queen
Icon=scummvm
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.txt
%{scummvmdir}/%{game_name}
%_datadir/applications/mandriva-*

%changelog
* Thu Jan 28 2010 Götz Waschk <goetz@zarb.org> 0-4plf2010.1
- fix previous upload

* Thu Jan 24 2008 Götz Waschk <goetz@zarb.org> 0-3plf2008.1
- fix plf reason
- update xdg menu categories
- remove old menu

* Fri Aug 18 2006 Götz Waschk <goetz@zarb.org> 0-2plf2007.0
- xdg menu

* Wed Nov  2 2005 Götz Waschk <goetz@zarb.org> 0-1plf
- initial spec
